/* You can add global styles to this file, and also import other style files */
* {
    box-sizing: border-box;
}
html {
    font-size: 16px;
}
html, body {
    padding: 0;
    margin: 0
}

.text-center {
    text-align: center;
}
.text-right {
    text-align: right;
}
.mt-1 {
    margin-top: .25rem;
}
.mt-2 {
    margin-top: .5rem;
}
.mt-3 {
    margin-top: .75rem;
}
.mt-4 {
    margin-top: 1rem;
}
.cursor-pointer {
    cursor: pointer;
}

.form-group {
    margin-bottom: .5rem;
    label {
        display: block;
        margin-bottom: .5rem;
    }
}
.form-actions {
    margin-top: 1rem;
}


.page-screen {
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: absolute;
    
    .page-screen-form {
        width: 90%;
        max-width: 500px;
        margin-bottom: 20px;
        position: relative;
        bottom: 2rem;
    }
}

.game-background {
    background: linear-gradient(rgba(#000, 0.7), rgba(#000, 0.7)), url('/assets/images/background.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}
